Retrieve a tus upload offset
Returns the current byte offset and metadata for a resumable upload.
{UPLOAD_URL}Use the upload capability URL from the Location header of the successful create-upload response. It does not use ambient API2 host credentials.
Request example
Set UPLOAD_URL to the complete Location URL returned when creating the tus upload. Keep this URL secret.
curl --fail-with-body -sS --head \
--url "${UPLOAD_URL:?Set UPLOAD_URL}" \
--header 'tus-resumable: 1.0.0'
Request headers
Complete JSON Schema
Normalized lowercase headers for a canonical tus HEAD request.
Fields beyond those listed for this object are accepted.
| Field | Type and description |
|---|---|
tus-resumablerequired | string (always: "1.0.0")The negotiated tus version. |
Response
HTTP 200
No response body.
Response headers
Complete JSON Schema
| Field | Type and description |
|---|---|
cache-controlrequired | string (always: "no-store") |
tus-resumablerequired | string (always: "1.0.0") |
upload-concat | "partial" | stringEither Any of the following schemas may apply: string (always: "partial")stringVariant 2: stringstringValidation pattern (regular expression)^final;https?:\/\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+\/resumable\/files\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+(?:\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+)*(?: https?:\/\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+\/resumable\/files\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+(?:\/[^/\x09-\x0D\x20\xA0\u1680\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+)*)*$ |
upload-metadata | stringComma-separated metadata keys and canonical standard Base64 values serialized by the pinned tus runtime. Validation pattern (regular expression)^(?:\t|[^\u0000- ,\u007f])+(?: (?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?)?(?:,(?:\t|[^\u0000- ,\u007f])+(?: (?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?)?)*$ |
upload-offsetrequired | stringA canonical unsigned base-10 byte count in the signed 64-bit range, without zero padding or a plus sign. Validation pattern (regular expression)^(?:0|[1-9][0-9]{0,17}|[1-8][0-9]{18}|9[0-1][0-9]{17}|92[0-1][0-9]{16}|922[0-2][0-9]{15}|9223[0-2][0-9]{14}|92233[0-6][0-9]{13}|922337[0-1][0-9]{12}|92233720[0-2][0-9]{10}|922337203[0-5][0-9]{9}|9223372036[0-7][0-9]{8}|92233720368[0-4][0-9]{7}|922337203685[0-3][0-9]{6}|9223372036854[0-6][0-9]{5}|92233720368547[0-6][0-9]{4}|922337203685477[0-4][0-9]{3}|9223372036854775[0-7][0-9]{2}|922337203685477580[0-6]|9223372036854775807)$ |
x-content-type-optionsrequired | string (always: "nosniff") |
Any of the following schemas may apply:
required properties: content-length, upload-length
Fields beyond those listed for this object are accepted.
| Field | Type and description |
|---|---|
content-lengthrequired | stringA canonical unsigned base-10 byte count in the signed 64-bit range, without zero padding or a plus sign. Validation pattern (regular expression)^(?:0|[1-9][0-9]{0,17}|[1-8][0-9]{18}|9[0-1][0-9]{17}|92[0-1][0-9]{16}|922[0-2][0-9]{15}|9223[0-2][0-9]{14}|92233[0-6][0-9]{13}|922337[0-1][0-9]{12}|92233720[0-2][0-9]{10}|922337203[0-5][0-9]{9}|9223372036[0-7][0-9]{8}|92233720368[0-4][0-9]{7}|922337203685[0-3][0-9]{6}|9223372036854[0-6][0-9]{5}|92233720368547[0-6][0-9]{4}|922337203685477[0-4][0-9]{3}|9223372036854775[0-7][0-9]{2}|922337203685477580[0-6]|9223372036854775807)$ |
upload-defer-length | neverThis value is prohibited. |
upload-lengthrequired | stringA canonical unsigned base-10 byte count in the signed 64-bit range, without zero padding or a plus sign. Validation pattern (regular expression)^(?:0|[1-9][0-9]{0,17}|[1-8][0-9]{18}|9[0-1][0-9]{17}|92[0-1][0-9]{16}|922[0-2][0-9]{15}|9223[0-2][0-9]{14}|92233[0-6][0-9]{13}|922337[0-1][0-9]{12}|92233720[0-2][0-9]{10}|922337203[0-5][0-9]{9}|9223372036[0-7][0-9]{8}|92233720368[0-4][0-9]{7}|922337203685[0-3][0-9]{6}|9223372036854[0-6][0-9]{5}|92233720368547[0-6][0-9]{4}|922337203685477[0-4][0-9]{3}|9223372036854775[0-7][0-9]{2}|922337203685477580[0-6]|9223372036854775807)$ |
upload-defer-length: "1"
Fields beyond those listed for this object are accepted.
| Field | Type and description |
|---|---|
content-length | neverThis value is prohibited. |
upload-defer-lengthrequired | string (always: "1") |
upload-length | neverThis value is prohibited. |
Error response
No response body.
Response headers
Complete JSON Schema
Fields beyond those listed for this object are accepted.
| Field | Type and description |
|---|---|
content-typerequired | string (always: "text/plain; charset=utf-8") |
tus-resumablerequired | string (always: "1.0.0") |
x-content-type-optionsrequired | string (always: "nosniff") |